Package org.eclipse.microprofile.openapi.models.security

# Interface OAuthFlows

All Superinterfaces:
  `Constructible`, `Extensible<OAuthFlows>`

public interface OAuthFlows extends Constructible, Extensible<OAuthFlows>
Configuration of the supported OAuthFlows

See Also:
  - OAuthFlows Object

## Method Summary

Modifier and Type
Method
Description
`default OAuthFlows`
`authorizationCode(OAuthFlow authorizationCode)`
OAuth Authorization Code flow; previously called accessCode in OpenAPI 2.0
`default OAuthFlows`
`clientCredentials(OAuthFlow clientCredentials)`
OAuth Client Credential flow; previously called application in OpenAPI 2.0
`OAuthFlow`
`getAuthorizationCode()`
OAuth Authorization Code flow; previously called accessCode in OpenAPI 2.0
`OAuthFlow`
`getClientCredentials()`
OAuth Client Credential flow; previously called application in OpenAPI 2.0
`OAuthFlow`
`getImplicit()`
This method returns the implicit property from OAuthFlows instance.
`OAuthFlow`
`getPassword()`
OAuth Resource Owner Password flow
`default OAuthFlows`
`implicit(OAuthFlow implicit)`
This method sets the implicit property of OAuthFlows instance to the given implicit argument and returns the modified instance.
`default OAuthFlows`
`password(OAuthFlow password)`
OAuth Resource Owner Password flow
`void`
`setAuthorizationCode(OAuthFlow authorizationCode)`
OAuth Authorization Code flow; previously called accessCode in OpenAPI 2.0
`void`
`setClientCredentials(OAuthFlow clientCredentials)`
OAuth Client Credential flow; previously called application in OpenAPI 2.0
`void`
`setImplicit(OAuthFlow implicit)`
This method sets the implicit property of OAuthFlows instance to the given implicit argument.
`void`
`setPassword(OAuthFlow password)`
OAuth Resource Owner Password flow

### Methods inherited from interface org.eclipse.microprofile.openapi.models.Extensible

`addExtension, extensions, getExtensions, removeExtension, setExtensions`

## Method Details

### getImplicit

OAuthFlow getImplicit()
This method returns the implicit property from OAuthFlows instance.

Returns:
  OAuthFlow implicit

### setImplicit

void setImplicit(OAuthFlow implicit)
This method sets the implicit property of OAuthFlows instance to the given implicit argument.

Parameters:
  `implicit` - the OauthFlow instance

### implicit

default OAuthFlows implicit(OAuthFlow implicit)
This method sets the implicit property of OAuthFlows instance to the given implicit argument and returns the modified instance.

Parameters:
  `implicit` - the OauthFlow instance
Returns:
  OAuthFlows instance with the set implicit property

### getPassword

OAuthFlow getPassword()
OAuth Resource Owner Password flow

This method returns the password property from OAuthFlows instance.

Returns:
  OAuthFlow password

### setPassword

void setPassword(OAuthFlow password)
OAuth Resource Owner Password flow

This method sets the password property of OAuthFlows instance to the given password argument.

Parameters:
  `password` - the OAuthFlow instance

### password

default OAuthFlows password(OAuthFlow password)
OAuth Resource Owner Password flow

This method sets the password property of an OAuthFlows instance to the given password argument and returns the modified instance.

Parameters:
  `password` - the OauthFlow instance
Returns:
  OAuthFlows instance with the set password property

### getClientCredentials

OAuthFlow getClientCredentials()
OAuth Client Credential flow; previously called application in OpenAPI 2.0

This method returns the clientCredentials property from OAuthFlows instance.

Returns:
  OAuthFlow clientCredentials

### setClientCredentials

void setClientCredentials(OAuthFlow clientCredentials)
OAuth Client Credential flow; previously called application in OpenAPI 2.0

This method sets the clientCredentials property of OAuthFlows instance to the given clientCredentials argument.

Parameters:
  `clientCredentials` - the OauthFlow instance

### clientCredentials

default OAuthFlows clientCredentials(OAuthFlow clientCredentials)
OAuth Client Credential flow; previously called application in OpenAPI 2.0

This method sets the clientCredentials property of OAuthFlows instance to the given clientCredentials argument and returns the modified instance.

Parameters:
  `clientCredentials` - the OauthFlow instance
Returns:
  OAuthFlows instance with the set clientCredentials property

### getAuthorizationCode

OAuthFlow getAuthorizationCode()
OAuth Authorization Code flow; previously called accessCode in OpenAPI 2.0

This method returns the authorizationCode property from OAuthFlows instance.

Returns:
  OAuthFlow authorizationCode

### setAuthorizationCode

void setAuthorizationCode(OAuthFlow authorizationCode)
OAuth Authorization Code flow; previously called accessCode in OpenAPI 2.0

This method sets the authorizationCode property of OAuthFlows instance to the given authorizationCode argument.

Parameters:
  `authorizationCode` - the OauthFlow instance

### authorizationCode

default OAuthFlows authorizationCode(OAuthFlow authorizationCode)
OAuth Authorization Code flow; previously called accessCode in OpenAPI 2.0

This method sets the authorizationCode property of OAuthFlows instance to the given authorizationCode argument and returns the modified instance.

Parameters:
  `authorizationCode` - the OauthFlow instance
Returns:
  OAuthFlows instance with the set authorizationCode property